Skip to main content
GET
/
verifications
List all verifications
curl --request GET \
  --url https://app.ezyshield.com.au/api/verifications \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "status": "<string>",
        "individual_confirmation_mode": "<string>",
        "send_individual_confirmation_sms": "<string>",
        "send_individual_confirmation_email": "<string>",
        "accept_close_match": "<string>",
        "attribution_id": "<string>",
        "individual_confirmation_url": "<string>",
        "failure_reason": "<string>",
        "check_results": {},
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

sort
string
default:-created_at

Available sorts are created_at, updated_at, status. You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -created_at.

page[size]
integer
default:10

The number of results that will be returned per page.

page[number]
integer

The page number to start the pagination from.

fields[verifications]
enum<string>[]
Available options:
status,
individual_confirmation_mode,
send_individual_confirmation_sms,
send_individual_confirmation_email,
accept_close_match,
attribution_id,
individual_confirmation_url,
failure_reason,
check_results,
created_at,
updated_at
filter[status]
enum<string>

The current status of the verification.

Available options:
created,
pending,
successful,
rejected,
failed,
cancelled,
expired,
error
Example:

"successful"

filter[attribution_id]
string

The attribution ID.

Example:

"invoice-123"

filter[created_at_start]
string<date-time>

Filter verifications created on or after this datetime.

Example:

"2026-04-01T00:00:00Z"

filter[created_at_end]
string<date-time>

Filter verifications created on or before this datetime.

Example:

"2026-04-30T23:59:59Z"

Response

Paginated set of VerificationResource

data
VerificationResource · object[]
required
meta
object
required